# Installing VsoLib dependencies

The current version of the software has been tested on Debian "Stretch"
(testing) and Fedora 24.

To automatically install dependencies in a Debian distribution use the
`install-dep-debian.sh` script:

        $ bash install-dep-debian.sh

To automatically install dependencies in a Fedora distribution use the
`install-dep-fedora.sh` script:

        $ bash install-dep-fedora.sh

These are top-level scripts that involve other scripts stored inside the
`install-scripts` directory. For details, please refer to the following section.

## Installing dependencies

Package-specific install scripts are in the `install-scripts` directory. Their
content is as following:

- `install-sysdep-apt.sh`: install system dependencies in Debian-based
    distributions by using the `apt` command;
- `install-sysep-dnf.sh`: install system dependencies in Fedora-based
    distributions by using the `dnf` command;
- `install-ntl.sh`: download, compile and install the NTL library in the user
    home directory;
- `install-pbc.sh`: download, compile and install PBC library in the user home
    directory;
- `install-charm.sh`: download, compile and install the charm cryptographic
    framework in the user home directory;
- `install-pipdep.sh`: install python3 dependencies available on pypi by using
    the `pip3` command.

Among all the scripts, only those that install system dependencies from standard
repositories require administrative privileges. All other scripts will install
contents in the home directory of the user.
